My Project: dgGeneralMatrix< T > Class Template Reference

My Project

Public Member Functions | Protected Attributes | List of all members
dgGeneralMatrix< T > Class Template Reference

`#include <dgGeneralMatrix.h>`

## Public Member Functions

| dgGeneralMatrix (dgInt32 row, dgInt32 column)
| dgGeneralMatrix (const dgGeneralMatrix< T > &src)
| dgGeneralMatrix (const dgGeneralMatrix< T > &src, T *elemBuffer)
| dgGeneralMatrix (dgInt32 row, dgInt32 column, T *elemBuffer)
| ~dgGeneralMatrix ()
dgGeneralVector< T > & | operator[] (dgInt32 i)
const dgGeneralVector< T > & | operator[] (dgInt32 i) const
dgInt32 | GetRowCount () const
dgInt32 | GetColCount () const
void | Clear (T val)
void | Identity ()
void | SwapRows (dgInt32 i, dgInt32 j)
void | SwapColumns (dgInt32 i, dgInt32 j)
void | GaussianPivotStep (dgInt32 srcRow, dgInt32 pivotRow, dgInt32 pivotCol, T tol=T(1.0e-6f))
void | VectorTimeMatrix (const dgGeneralVector< T > &v, dgGeneralVector< T > &out)
void | MatrixTimeVectorTranspose (const dgGeneralVector< T > &v, dgGeneralVector< T > &out)
void | MatrixTimeMatrix (const dgGeneralMatrix< T > &A, const dgGeneralMatrix< T > &B)
void | MatrixTimeMatrixTranspose (const dgGeneralMatrix< T > &A, const dgGeneralMatrix< T > &Bt)
bool | Solve (dgGeneralVector< T > &b, T tol=T(0.0f))
bool | CholeskyDecomposition ()
bool | TestPSD () const
bool | TestSymetry () const
void | Trace () const

## Protected Attributes

bool | m_ownMemory
dgInt32 | m_rowCount
dgInt32 | m_colCount
dgGeneralVector< T > * | m_rows

## Constructor & Destructor Documentation

## § dgGeneralMatrix() [1/4]

template<class T >

dgGeneralMatrix< T >::dgGeneralMatrix | ( | dgInt32 | row,
|  | dgInt32 | column
| ) |  |

## § dgGeneralMatrix() [2/4]

template<class T >

dgGeneralMatrix< T >::dgGeneralMatrix | ( | const dgGeneralMatrix< T > & | src | ) |

## § dgGeneralMatrix() [3/4]

template<class T >

dgGeneralMatrix< T >::dgGeneralMatrix | ( | const dgGeneralMatrix< T > & | src,
|  | T * | elemBuffer
| ) |  |

## § dgGeneralMatrix() [4/4]

template<class T >

dgGeneralMatrix< T >::dgGeneralMatrix | ( | dgInt32 | row,
|  | dgInt32 | column,
|  | T * | elemBuffer
| ) |  |

## § ~dgGeneralMatrix()

template<class T >

dgGeneralMatrix< T >::~dgGeneralMatrix | ( |  | ) |

## Member Function Documentation

## § CholeskyDecomposition()

template<class T >

bool dgGeneralMatrix< T >::CholeskyDecomposition | ( |  | ) |

## § Clear()

template<class T >

void dgGeneralMatrix< T >::Clear | ( | T | val | ) |

## § GaussianPivotStep()

template<class T >

void dgGeneralMatrix< T >::GaussianPivotStep | ( | dgInt32 | srcRow,
|  | dgInt32 | pivotRow,
|  | dgInt32 | pivotCol,
|  | T | tol = `T (1.0e-6f)`
| ) |  |

## § GetColCount()

template<class T >

dgInt32 dgGeneralMatrix< T >::GetColCount | ( |  | ) | const

## § GetRowCount()

template<class T >

dgInt32 dgGeneralMatrix< T >::GetRowCount | ( |  | ) | const

## § Identity()

template<class T >

void dgGeneralMatrix< T >::Identity | ( |  | ) |

## § MatrixTimeMatrix()

template<class T >

void dgGeneralMatrix< T >::MatrixTimeMatrix | ( | const dgGeneralMatrix< T > & | A,
|  | const dgGeneralMatrix< T > & | B
| ) |  |

## § MatrixTimeMatrixTranspose()

template<class T >

void dgGeneralMatrix< T >::MatrixTimeMatrixTranspose | ( | const dgGeneralMatrix< T > & | A,
|  | const dgGeneralMatrix< T > & | Bt
| ) |  |

## § MatrixTimeVectorTranspose()

template<class T >

void dgGeneralMatrix< T >::MatrixTimeVectorTranspose | ( | const dgGeneralVector< T > & | v,
|  | dgGeneralVector< T > & | out
| ) |  |

## § operator[]() [1/2]

template<class T >

dgGeneralVector< T > & dgGeneralMatrix< T >::operator[] | ( | dgInt32 | i | ) |

## § operator[]() [2/2]

template<class T >

const dgGeneralVector< T > & dgGeneralMatrix< T >::operator[] | ( | dgInt32 | i | ) | const

## § Solve()

template<class T >

bool dgGeneralMatrix< T >::Solve | ( | dgGeneralVector< T > & | b,
|  | T | tol = `T(0.0f)`
| ) |  |

## § SwapColumns()

template<class T >

void dgGeneralMatrix< T >::SwapColumns | ( | dgInt32 | i,
|  | dgInt32 | j
| ) |  |

## § SwapRows()

template<class T >

void dgGeneralMatrix< T >::SwapRows | ( | dgInt32 | i,
|  | dgInt32 | j
| ) |  |

## § TestPSD()

template<class T >

bool dgGeneralMatrix< T >::TestPSD | ( |  | ) | const

## § TestSymetry()

template<class T >

bool dgGeneralMatrix< T >::TestSymetry | ( |  | ) | const

## § Trace()

template<class T >

void dgGeneralMatrix< T >::Trace | ( |  | ) | const

## § VectorTimeMatrix()

template<class T >

void dgGeneralMatrix< T >::VectorTimeMatrix | ( | const dgGeneralVector< T > & | v,
|  | dgGeneralVector< T > & | out
| ) |  |

## Member Data Documentation

## § m_colCount

template<class T>

dgInt32 dgGeneralMatrix< T >::m_colCount

protected

## § m_ownMemory

template<class T>

bool dgGeneralMatrix< T >::m_ownMemory

protected

## § m_rowCount

template<class T>

dgInt32 dgGeneralMatrix< T >::m_rowCount

protected

## § m_rows

template<class T>

dgGeneralVector<T>* dgGeneralMatrix< T >::m_rows

protected

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgGeneralMatrix.h